// Author:  Alex O., Dan D.
// Date: 31/03/2015
// Version: 2

#include <stdio.h>
#include <spu_mfcio.h>

int main(unsigned long long speid, unsigned long long argp, unsigned long long envp)
{
   (void)speid;

   unsigned int mbox_data;

   /* Wait for message */
   mbox_data = spu_read_in_mbox();

   printf("[SPU %ld] received data = %d.\n", (long)argp, (int)mbox_data);

   if((int)mbox_data == (int)envp)
        printf("[SPU %ld] data checks with envp\n", (long)argp);
   else
        printf("[SPU %ld] data check failed\n", (long)argp);

   return 0;
}

